
QGIS Application - Bug report #18235

QGIS 3.00 standalone 64 bit installer running on win 10 pro 64 bit crashes when opening 

global-connections project from the book Qgis map design by grasser& petersen

2018-02-26 08:42 PM - Kurt Trinko

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Windows Package

Affected QGIS version:3.0.0 Regression?: No

Operating System: win 10 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26126

Description

Crash ID: 8885f6f62ba851c46e1531eac88ab3970432c4f1

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::buffer :

QgsGeometry::buffer :

QgsPalLabeling::prepareGeometry :

QgsPalLayerSettings::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: 001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

more infos + screenshots here: https://gis.stackexchange.com/questions/272783/qgis-3-00-crashes-while-qgis-2-99-worked-well

sorry dont know what Regression means in the buy report formular
https://gis.stackexchange.com/questions/272783/qgis-3-00-crashes-while-qgis-2-99-worked-well


Related issues:

Related to QGIS Application - Bug report # 14752: GEOS exceptions crash QGIS ... Closed 2016-05-01

History

#1 - 2018-02-26 08:59 PM - Anita Graser

- Related to Bug report #14752: GEOS exceptions crash QGIS on windows added

#2 - 2018-03-03 06:44 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
